package genericAccessorMethods

import genericAccessorMethods.BookLibrary

class LibraryStatisticsDispatch implements GenericAccessorMethodsCountable {
	def dispatch countEntries(BookLibrary library) {
		return library.getBooks().size()
	}

	def dispatch countEntries(MovieLibrary library) {
		return library.getMovies().size()
	}

	override countBooks(BookLibrary library) {
		return library.getBooks().size()
	}
}
