package genericAttributes

class LibraryStatisticsDispatch implements GenericAttributesCountable {
	def dispatch countEntries(BookLibrary library) {
		return library.getBooks().size()
	}

	def dispatch countEntries(MovieLibrary library) {
		return library.getMovies().size()
	}

	override countBooks(BookLibrary library) {
		return library.getBooks().size()
	}
}
