package com.example;

import org.eclipse.emf.ecore.EObject;

public class MetamodelException extends RuntimeException {

	private static final long serialVersionUID = -3626161008175262286L;

	public MetamodelException(String msg) {
		super(msg);
	}

	public MetamodelException(EObject unknownObject) {
		super("Unexpected EClass '" + unknownObject.eClass() + "' (EObject: '"
				+ unknownObject + "'");
	}
}
